// ProppageLav.cpp : implementation file
//

#include "stdafx.h"
#include "dslavsplit.h"
#include "ProppageLav.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CProppageLav property page
// 11/23-2 New class

IMPLEMENT_DYNCREATE(CProppageLav, CPropertyPage)

CProppageLav::CProppageLav() : CPropertyPage(CProppageLav::IDD)
{
	TRACE(_T("In CProppageLav ctr.\n"));
	//{{AFX_DATA_INIT(CProppageLav)
	m_bStereo = FALSE;
	m_bWMA2 = FALSE;
	m_bWMAAll = FALSE;
	m_bWMAPro = FALSE;
	//}}AFX_DATA_INIT
}

CProppageLav::~CProppageLav()
{
}

void CProppageLav::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CProppageLav)
	DDX_Control(pDX, IDC_BUTTON_DEFAULTS, m_buttonDefaults);
	DDX_Control(pDX, IDC_CHECK_WMAPRO, m_checkWMAPro);
	DDX_Control(pDX, IDC_CHECK_WMAALL, m_checkWMAAll);
	DDX_Control(pDX, IDC_CHECK_STEREO, m_checkStereo);
	DDX_Control(pDX, IDC_CHECK_WMA2, m_checkWMA2);
	DDX_Check(pDX, IDC_CHECK_STEREO, m_bStereo);
	DDX_Check(pDX, IDC_CHECK_WMA2, m_bWMA2);
	DDX_Check(pDX, IDC_CHECK_WMAALL, m_bWMAAll);
	DDX_Check(pDX, IDC_CHECK_WMAPRO, m_bWMAPro);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CProppageLav, CPropertyPage)
	//{{AFX_MSG_MAP(CProppageLav)
	ON_BN_CLICKED(IDC_BUTTON_DEFAULTS, OnButtonDefaults)
	ON_BN_CLICKED(IDC_CHECK_STEREO, OnCheckStereo)
	ON_BN_CLICKED(IDC_CHECK_WMA2, OnCheckWma2)
	ON_BN_CLICKED(IDC_CHECK_WMAALL, OnCheckWmaall)
	ON_BN_CLICKED(IDC_CHECK_WMAPRO, OnCheckWmapro)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CProppageLav message handlers

BOOL CProppageLav::OnInitDialog() 
{
	TRACE(_T("In CProppageLav::OnInitDialog()\n"));
	CPropertyPage::OnInitDialog();
	
	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CProppageLav::OnButtonDefaults() 
{
	m_bWMA2 = FALSE;
	m_bWMAAll = FALSE;
	m_bWMAPro = FALSE;
	m_bStereo = FALSE;
	UpdateData(FALSE);
	//m_bChanged = TRUE;
}
void CProppageLav::OnCheckStereo() 
{
	// DoDataExchange() handles.
}
void CProppageLav::OnCheckWma2() 
{	
}
void CProppageLav::OnCheckWmaall() 
{	
}
void CProppageLav::OnCheckWmapro() 
{	
}
